# Zen Addons for SiteOrigin Page Builder #

[![Build Status](https://travis-ci.org/KSym04/zen-addons-for-siteorigin-page-builder.svg?branch=master)](https://travis-ci.org/KSym04/zen-addons-for-siteorigin-page-builder)  
**Contributors:** ksym04  
**Tags:** zaso, widgets, siteorigin, addons, page builder  
**Requires at least:** 4.4  
**Tested up to:** 5.5.3  
**Stable tag:** 1.0.16  
**License:** GPLv3  
**License URI:** license.txt  

Just another collection of helpful widget extensions for SiteOrigin Page Builder. Simple but flexible and useful.

## Description ##

The Zen Addons for SiteOrigin Page Builder gives you a collection of widgets that you can use and customize. All the widgets are under SiteOrigin widget framework.

### Builder Framework Compatibility ###

**Page Builder by SiteOrigin (tested plugin version up to):** 2.11.5  
**SiteOrigin Widgets Bundle (tested plugin version up to):** 1.17.10  

### Widget Features ###

* Spacer, create an empty space between elements.
* Simple Accordion/Toggle, create a vertically stacked list of items or single panel.
* Basic Tabs, create multiple panels contained in a single window.
* Alert Box, create contextual feedback and flexible alert messages.
* Icon, set single icon on popular iconic font or upload your custom icon.
* Video, add video from YouTube, Vimeo or another provider.
* YouTube Video Lightbox, pop-up lightbox for YouTube videos.
* Vimeo Video Lightbox, pop-up lightbox for Vimeo videos.
* Contact Form 7, display CF7 form.
* Info Box, display information box - image, title, description and learn more button link.
* Hover Card, display image box, title caption and learn more button with hover transition.
* Image Icon Group, set group of image icon.
* Widgetized, get existing widget sidebars to display on the main content.
* bbPress Forum Index, display entire bbPress forum index.
* bbPress Topic Index, display recent 15 topics across all forums with optional pagination and search.
* bbPress Login, display the bbPress login form.
* bbPress Registration, display the bbPress registration form.
* bbPress Lost Password, display the bbPress password retrieval form.

### Standards ###

* Neatly structured semantic HTML
* Highly accessible widgets with best ARIA practices
* SEO friendly widgets

### Language Support ###

* English (en_US)
* English - Australia (en_AU)

Once you enable the extension widget, you’ll be able to use it anywhere standard widgets are used. You can manage your widgets by going to Plugins > SiteOrigin Widgets in your WordPress admin backend.

Lastly, We recommend activating only the widgets you needed.

Note: Our widgets have prefix name `'ZASO -'` indicating our SiteOrigin plugin extension.

## Installation ##

1. Upload the `zen-addons-for-siteorigin-page-builder` directory to the `/wp-content/plugins/` directory via FTP
2. Activate the plugin through the 'Plugins' menu in WordPress
3. Enjoy

## Frequently Asked Questions ##

### How to activate your widgets? ###

First, please ensure that 'SiteOrigin Widgets Bundle' plugin was installed, then to enable our ZASO widgets, you can activate it on `'Plugins > SiteOrigin Widgets'`

## Changelog ##

### 1.0.16 ###

* New: Added new widgets for bbPress - lost password
* Tweak: Added collapsible icon option for accordion widget
* Tweak: Remove unused CSS files

### 1.0.15 ###

* Tweak: Info Box widget fallback image issue

### 1.0.14 ###

* Tweak: Widgets description improvements
* Tweak: Completed widgets featured banner
* Tweak: Latest WordPress 5.5.3 compatibility

### 1.0.12 ###

* New: Added new widgets for bbPress - login and registration
* Tweak: Minor improvements for Image Icon Group displaying text
* Tweak: Added widgets featured banner

### 1.0.11 ###

* New: Added new widgets for bbPress support
* New: Added new widget 'Image Icon Group'
* Tweak: Improved thumbnail handling YouTube Video Lightbox
* Translation: Added English - Australia (en_AU)

### 1.0.10 ###

* Tweak: Added hover event option YouTube Video Lightbox
* Tweak: Improved hover card transition

### 1.0.9 ###

* New: Added new widget 'Hover Card'
* Tweak: ARIA roles improvements

### 1.0.8 ###

* New: Added new widget 'Info Box'
* Fix: Accordion content float issue
* Fix: Tab key issue on special characters
* Tweak: Minor improvements

### 1.0.7 ###

* New: Added new widget 'Vimeo Video Lightbox'
* New: Added new widget 'Contact Form 7'
* Tweak: Minor improvements

### 1.0.6 ###

* New: Added new widget 'YouTube Video Lightbox'
* Tweak: Accordion minor improvements

### 1.0.5 ###

* New: Added new widget 'Widgetized'

### 1.0.4 ###

* New: Added new widget 'Icon'
* New: Added new widget 'Video'

### 1.0.3 ###

* New: Added new widget 'Alert Box'
* Tweak: Minor default CSS improvements

### 1.0.2 ###

* New: Added new widget 'Basic Tabs'
* New: Added field and LESS variable filters
* Tweak: Improved spacer and accordion accessibility

### 1.0.1 ###

* New: Added simple accordion design panel
* New: Added spacer design panel
* New: Added field 'Extra ID' on widgets
* New: Added en_US language file
* Fix: Minor issues

### 1.0.0 ###

* Birthday: Initial Release
